Search for request
- Search 7.x for request
- Search 9.5.x for request
- Search 8.9.x for request
- Search 10.3.x for request
- Search main for request
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| RequestHandler::getNormalizedRequestMethod | function | core/ |
Gets the normalized HTTP request method of the matched route. |
| RequestHandler::handle | function | core/ |
Handles a REST API request. |
| RequestHandler::handleRaw | function | core/ |
Handles a REST API request without deserializing the request body. |
| RequestHandler::prepareResponse | function | core/ |
Prepares the REST resource response. |
| RequestHandler::__construct | function | core/ |
Creates a new RequestHandler instance. |
| RequestHandlerTest | class | core/ |
Test REST RequestHandler controller logic. |
| RequestHandlerTest.php | file | core/ |
|
| RequestHandlerTest::$entityStorage | property | core/ |
The entity storage. |
| RequestHandlerTest::$modules | property | core/ |
Modules to install. |
| RequestHandlerTest::$requestHandler | property | core/ |
|
| RequestHandlerTest::setUp | function | core/ |
|
| RequestHandlerTest::testHandle | function | core/ |
Tests handle. |
| RequestHelper | class | core/ |
Provides some helper methods for dealing with the request. |
| RequestHelper.php | file | core/ |
|
| RequestHelper::isCleanUrl | function | core/ |
Returns whether the request is using a clean URL. |
| RequestPagerTest | class | core/ |
Tests Drupal\Core\Pager\PagerParameters. |
| RequestPagerTest.php | file | core/ |
|
| RequestPagerTest::testFindPage | function | core/ |
Tests find page. |
| RequestPagerTest::testGetQueryParameters | function | core/ |
Tests get query parameters. |
| RequestPath | class | core/ |
Provides a 'Request Path' condition. |
| RequestPath.php | file | core/ |
|
| RequestPath::$aliasManager | property | core/ |
An alias manager to find the alias for the current system path. |
| RequestPath::$currentPath | property | core/ |
The current path. |
| RequestPath::$pathMatcher | property | core/ |
The path matcher. |
| RequestPath::$requestStack | property | core/ |
The request stack. |
| RequestPath::buildConfigurationForm | function | core/ |
Form constructor. |
| RequestPath::create | function | core/ |
Instantiates a new instance of the implementing class using autowiring. |
| RequestPath::defaultConfiguration | function | core/ |
Gets default configuration for this plugin. |
| RequestPath::evaluate | function | core/ |
Evaluates the condition and returns TRUE or FALSE accordingly. |
| RequestPath::getCacheContexts | function | core/ |
|
| RequestPath::submitConfigurationForm | function | core/ |
Form submission handler. |
| RequestPath::summary | function | core/ |
Provides a human readable summary of the condition's configuration. |
| RequestPath::validateConfigurationForm | function | core/ |
Form validation handler. |
| RequestPath::__construct | function | core/ |
Constructs a RequestPath condition plugin. |
| RequestPathTest | class | core/ |
Tests system.module's request path condition. |
| RequestPathTest.php | file | core/ |
|
| RequestPathTest::$aliasManager | property | core/ |
The path alias manager used for testing. |
| RequestPathTest::$currentPath | property | core/ |
The current path. |
| RequestPathTest::$modules | property | core/ |
Modules to install. |
| RequestPathTest::$pluginManager | property | core/ |
The condition plugin manager under test. |
| RequestPathTest::$requestStack | property | core/ |
The request stack used for testing. |
| RequestPathTest::setUp | function | core/ |
|
| RequestPathTest::testConditions | function | core/ |
Tests the request path condition. |
| RequestPolicyInterface | interface | core/ |
Defines the interface for request policy implementations. |
| RequestPolicyInterface.php | file | core/ |
|
| RequestPolicyInterface::ALLOW | constant | core/ |
Allow delivery of cached pages. |
| RequestPolicyInterface::check | function | core/ |
Determines whether delivery of a cached page should be attempted. |
| RequestPolicyInterface::DENY | constant | core/ |
Deny delivery of cached pages. |
| RequestSanitizer | class | core/ |
Sanitizes user input. |
| RequestSanitizer.php | file | core/ |
Pagination
- Previous page
- Page 9
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.